#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
#
register_check_parameters(
    subgroup_networking,
    'checkpoint_l2l_vpn',
    _('Check Point L2L VPN'),
    Dictionary(
        elements=[
            ('tunnels',
             ListOf(
                 Tuple(
                     title=('VPN Tunnel Endpoints'),
                     elements=[
                         TextUnicode(
                             title=_('Peer object name'),
                             help=_('The configured value must match a tunnel reported by the monitored '
                                    'device.'),
                             allow_empty=False,
                         ),
                         TextUnicode(
                             title=_('Tunnel Alias'),
                             help=_('You can configure an individual alias here for the tunnel matching '
                                    'the IP-Address or Name configured in the field above.'),
                         ),
                         MonitoringState(
                             default_value=2,
                             title=_('State if tunnel is not found'),
                         )]),
                 add_label=_('Add tunnel'),
                 movable=False,
                 title=_('VPN tunnel specific configuration'),
             )),
            ('state',
             MonitoringState(
                 title=_('Default state to report when tunnel can not be found anymore'),
                 help=_('Default state if a tunnel, which is not listed above in this rule, '
                        'can no longer be found.'),
                 default_value=3,
             ),
             ),
        ],
    ),
    TextAscii(title=_('Peer object name')),
    match_type='dict',
)
